# Copyright: Center for Information Technology, Kyoto-Univ.

# hack python's default encoding to 'utf-8'

import sys
reload(sys)

import os
if os.name == 'nt':
    from encodings.aliases import aliases
    for ec in ['sjis', 'gb2312']:
        if not aliases.has_key(ec):
            aliases.update({ec:'mbcs'})

import ZopePak
try:
    import PlonePak
except ImportError:
    pass

def initialize(context):
    app = context._ProductContext__app
    if not app.hasProperty('management_page_charset'):
        app.manage_addProperty('management_page_charset', 'utf-8', 'string')

